Commit 6b3271d8 authored by Alberts Muktupāvels's avatar Alberts Muktupāvels
Browse files

input-sources: remove almost unused dependency

parent d22f59ab
......@@ -144,7 +144,6 @@ PKG_CHECK_MODULES([INPUT_SOURCES], [
gnome-desktop-3.0 >= $LIBGNOME_DESKTOP_REQUIRED
gtk+-3.0 >= $GTK_REQUIRED
ibus-1.0 >= $IBUS_REQUIRED
xkbcommon-x11
xkbfile
xkeyboard-config
])
......
......@@ -20,7 +20,6 @@
#include <glib.h>
#include <gdk/gdkx.h>
#include <libgnome-desktop/gnome-languages.h>
#include <xkbcommon/xkbcommon-x11.h>
#include <X11/XKBlib.h>
#include <X11/extensions/XKBrules.h>
......@@ -445,17 +444,16 @@ gf_keyboard_manager_init (GfKeyboardManager *manager)
manager->xkb_info = gnome_xkb_info_new ();
manager->options = g_strdup ("");
xkb_major = XKB_X11_MIN_MAJOR_XKB_VERSION;
xkb_minor = XKB_X11_MIN_MINOR_XKB_VERSION;
xkb_major = XkbMajorVersion;
xkb_minor = XkbMinorVersion;
manager->have_xkb = TRUE;
if (!XkbQueryExtension (manager->xdisplay, &xkb_opcode,
&manager->xkb_event_base, &manager->xkb_error_base,
&xkb_major, &xkb_minor))
{
g_warning ("X server doesn't have the XKB extension, "
"version %d.%d or newer", XKB_X11_MIN_MAJOR_XKB_VERSION,
XKB_X11_MIN_MINOR_XKB_VERSION);
g_warning ("X server doesn't have the XKB extension, version %d.%d or "
"newer", XkbMajorVersion, XkbMinorVersion);
manager->have_xkb = FALSE;
}
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment